Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2241628 - Review Request: python-pyvhacd - Python bindings for V-HACD
Summary: Review Request: python-pyvhacd - Python bindings for V-HACD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Benson Muite
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2023-10-01 12:47 UTC by Ben Beasley
Modified: 2023-11-03 18:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-03 16:22:56 UTC
Type: Bug
Embargoed:
benson_muite: fedora-review+


Attachments (Terms of Use)

Description Ben Beasley 2023-10-01 12:47:13 UTC
Spec URL: https://music.fedorapeople.org/python-pyvhacd.spec
SRPM URL: https://music.fedorapeople.org/python-pyvhacd-0.0.2-1.fc40.src.rpm

Description:

A very simple and raw Python binding for V-HACD
(https://github.com/kmammou/v-hacd).

Generate a set of convex hulls for a triangulated mesh.

Fedora Account System Username: music

Koji scratch builds:

F40: https://koji.fedoraproject.org/koji/taskinfo?taskID=106951177
F39: https://koji.fedoraproject.org/koji/taskinfo?taskID=106951473
F38: https://koji.fedoraproject.org/koji/taskinfo?taskID=106951602
F37: https://koji.fedoraproject.org/koji/taskinfo?taskID=106951608

This is a new dependency for the upcoming 4.0.0 release of python-trimesh. It will be a neuro-sig package.

As pybind11 wrappers for C++ header-only libraries go, this is a straightforward one.

Comment 1 Benson Muite 2023-10-01 15:36:43 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT License", "Unknown or generated". 9 files have unknown
     license. Detailed output of licensecheck in
     /home/FedoraPackaging/reviews/python-pyvhacd/2241628-python-
     pyvhacd/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 9175 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-pyvhacd
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: python3-pyvhacd-0.0.2-1.fc38.x86_64.rpm
          python-pyvhacd-debugsource-0.0.2-1.fc38.x86_64.rpm
          python-pyvhacd-0.0.2-1.fc38.src.rpm
=================================== rpmlint session starts ==================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmphkqcbb4n')]
checks: 31, packages: 3

python-pyvhacd.src: W: strange-permission python-pyvhacd.spec 600
==== 3 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 6.3 s ===




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 2

 2 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 1.7 s 



Unversioned so-files
--------------------
python3-pyvhacd: /usr/lib64/python3.11/site-packages/pyVHACD.cpython-311-x86_64-linux-gnu.so

Source checksums
----------------
https://github.com/thomwolf/pyVHACD/archive/v0.02/pyVHACD-0.02.tar.gz :
  CHECKSUM(SHA256) this package     : fd6e879b2fe309a385ddab01afc5bca151e78374ac6a003ccb3ef32cfad18ad0
  CHECKSUM(SHA256) upstream package : fd6e879b2fe309a385ddab01afc5bca151e78374ac6a003ccb3ef32cfad18ad0


Requires
--------
python3-pyvhacd (rpmlib, GLIBC filtered):
    ld-linux-x86-64.so.2()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.11)(64bit)
    libstdc++.so.6(CXXABI_1.3.13)(64bit)
    libstdc++.so.6(CXXABI_1.3.2)(64bit)
    libstdc++.so.6(CXXABI_1.3.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    python(abi)
    python3.11dist(numpy)
    python3.11dist(pybind11)
    rtld(GNU_HASH)

python-pyvhacd-debugsource (rpmlib, GLIBC filtered):



Provides
--------
python3-pyvhacd:
    python-pyvhacd
    python3-pyvhacd
    python3-pyvhacd(x86-64)
    python3.11-pyvhacd
    python3.11dist(pyvhacd)
    python3dist(pyvhacd)

python-pyvhacd-debugsource:
    python-pyvhacd-debugsource
    python-pyvhacd-debugsource(x86-64)



Diff spec file in url and in SRPM
---------------------------------
--- /home/benson/Projects/FedoraPackaging/reviews/python-pyvhacd/2241628-python-pyvhacd/srpm/python-pyvhacd.spec     2023-10-01 16:02:21.532336834 +0300
+++ /home/benson/Projects/FedoraPackaging/reviews/python-pyvhacd/2241628-python-pyvhacd/srpm-unpacked/python-pyvhacd.spec    2023-10-01 03:00:00.000000000 +0300
@@ -1,2 +1,12 @@
+## START: Set by rpmautospec
+## (rpmautospec version 0.3.5)
+## RPMAUTOSPEC: autorelease, autochangelog
+%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
+    release_number = 1;
+    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
+    print(release_number + base_release_number - 1);
+}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
+## END: Set by rpmautospec
+
 
 Name:           python-pyvhacd
@@ -71,3 +81,4 @@
 
 %changelog
-%autochangelog
+* Sun Oct 01 2023 John Doe <packager> - 0.0.2-1
+- Uncommitted changes


Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2241628 -m fedora-38-x86_64
Buildroot used: fedora-38-x86_64
Active plugins: Python, Generic, C/C++, Shell-api
Disabled plugins: PHP, Java, Haskell, Perl, Ocaml, SugarActivity, Ruby, R, fonts
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comments:
a) Seems good. Approved.
b) Review of one of:
https://bugzilla.redhat.com/show_bug.cgi?id=2218338
https://bugzilla.redhat.com/show_bug.cgi?id=2240805
would be appreciated if time and expertise allow.

Comment 2 Ben Beasley 2023-10-03 11:08:59 UTC
Thank you for the review!

It looks like a review is in progress for bug 2218338; bug 2240805 is blocked, but I would be happy to review it once the the package is buildable.

Please feel free to CC me on other reviews you may have as they come up. You’ve done a few for me, and I’m happy to reciprocate.

Comment 3 Fedora Admin user for bugzilla script actions 2023-10-03 11:14:19 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pyvhacd

Comment 4 Ben Beasley 2023-10-03 11:21:59 UTC
Added to https://release-monitoring.org/project/291010/

Comment 5 Fedora Update System 2023-10-03 11:32:53 UTC
FEDORA-2023-d40134e2ba has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d40134e2ba

Comment 6 Fedora Update System 2023-10-03 12:57:59 UTC
FEDORA-2023-43cf5d46b5 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-43cf5d46b5

Comment 7 Fedora Update System 2023-10-03 14:15:28 UTC
FEDORA-2023-a506a4fee2 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a506a4fee2

Comment 8 Fedora Update System 2023-10-03 14:23:05 UTC
FEDORA-2023-c545de8e5a has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c545de8e5a

Comment 9 Fedora Update System 2023-10-03 16:22:56 UTC
FEDORA-2023-d40134e2ba has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-10-04 02:17:27 UTC
FEDORA-2023-43cf5d46b5 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-43cf5d46b5 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-43cf5d46b5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-10-04 03:29:47 UTC
FEDORA-2023-a506a4fee2 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-a506a4fee2 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a506a4fee2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-10-04 03:52:08 UTC
FEDORA-2023-c545de8e5a has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c545de8e5a \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c545de8e5a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-10-12 01:17:47 UTC
FEDORA-2023-c545de8e5a has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2023-10-12 01:44:27 UTC
FEDORA-2023-a506a4fee2 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2023-11-03 18:27:33 UTC
FEDORA-2023-43cf5d46b5 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.